List speakers
curl --request GET \
--url https://api.aircaps.com/v1/speakers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aircaps.com/v1/speakers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aircaps.com/v1/speakers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "list",
"data": [
{
"id": "spk_01k73a9x8w7v6u5t4s3r2q1p0n",
"object": "speaker",
"name": "Ana García",
"metadata": {
"employee_id": "E-1042"
},
"model": "aircaps-speaker-id-v1",
"num_enrollments": 2,
"enrolled_duration": 27.9,
"enrollments": [
{
"id": "enr_01k73b2c4d5e6f7g8h9j0k1m2n",
"object": "speaker_enrollment",
"speaker_id": "spk_01k73a9x8w7v6u5t4s3r2q1p0n",
"audio_duration": 12.48,
"consistency": 0.712,
"created_at": "2026-10-08T18:03:11.402Z"
},
{
"id": "enr_01k73b5f1h2j3k4m5n6p7q8r9s",
"object": "speaker_enrollment",
"speaker_id": "spk_01k73a9x8w7v6u5t4s3r2q1p0n",
"audio_duration": 15.42,
"consistency": 0.712,
"created_at": "2026-10-08T18:04:52.015Z"
}
],
"created_at": "2026-10-08T18:02:40.118Z",
"updated_at": "2026-10-08T18:04:52.015Z"
}
],
"has_more": false,
"next_before": null
}{
"error": {
"type": "invalid_request_error",
"code": "invalid_request",
"message": "Input should be greater than or equal to 10",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}{
"error": {
"type": "authentication_error",
"code": "unauthorized",
"message": "invalid API key",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}{
"error": {
"type": "permission_error",
"code": "account_disabled",
"message": "this account is disabled",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "internal error",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}{
"error": {
"type": "api_error",
"code": "service_unavailable",
"message": "temporarily unavailable; please retry",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}Speakers
List speakers
Your enrolled speakers, newest first, with their enrollments.
GET
/
v1
/
speakers
List speakers
curl --request GET \
--url https://api.aircaps.com/v1/speakers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aircaps.com/v1/speakers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aircaps.com/v1/speakers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "list",
"data": [
{
"id": "spk_01k73a9x8w7v6u5t4s3r2q1p0n",
"object": "speaker",
"name": "Ana García",
"metadata": {
"employee_id": "E-1042"
},
"model": "aircaps-speaker-id-v1",
"num_enrollments": 2,
"enrolled_duration": 27.9,
"enrollments": [
{
"id": "enr_01k73b2c4d5e6f7g8h9j0k1m2n",
"object": "speaker_enrollment",
"speaker_id": "spk_01k73a9x8w7v6u5t4s3r2q1p0n",
"audio_duration": 12.48,
"consistency": 0.712,
"created_at": "2026-10-08T18:03:11.402Z"
},
{
"id": "enr_01k73b5f1h2j3k4m5n6p7q8r9s",
"object": "speaker_enrollment",
"speaker_id": "spk_01k73a9x8w7v6u5t4s3r2q1p0n",
"audio_duration": 15.42,
"consistency": 0.712,
"created_at": "2026-10-08T18:04:52.015Z"
}
],
"created_at": "2026-10-08T18:02:40.118Z",
"updated_at": "2026-10-08T18:04:52.015Z"
}
],
"has_more": false,
"next_before": null
}{
"error": {
"type": "invalid_request_error",
"code": "invalid_request",
"message": "Input should be greater than or equal to 10",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}{
"error": {
"type": "authentication_error",
"code": "unauthorized",
"message": "invalid API key",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}{
"error": {
"type": "permission_error",
"code": "account_disabled",
"message": "this account is disabled",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "internal error",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}{
"error": {
"type": "api_error",
"code": "service_unavailable",
"message": "temporarily unavailable; please retry",
"param": null,
"request_id": "req_01k6z3m4q8w7e5r2t1y0u9i8o7"
}
}Authorizations
Your API key: Authorization: Bearer aircaps_sk_...
Query Parameters
Number of speakers to return.
Required range:
1 <= x <= 100Pagination cursor: the next_before of the previous page.

